import { useState, useEffect } from "react";

const UseEffectBasics = () => {
  const [value, setValue] = useState(0);

  const handleClick = () => {
    setValue(value + 1);
  };

  const sayHello = () => {
    console.log("hello there");
  };

  // sayHello();

  // useEffect(() => {
  //   console.log("hello from useEffect");
  // });

  // useEffect(() => {
  //   console.log("hello from useEffect");
  // }, []);

  return (
    <div>
      <h1>value : {value}</h1>
      <button className="btn" onClick={handleClick}>
        click me
      </button>
    </div>
  );
};
export default UseEffectBasics;
